Bug 1963717 - ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PR00._CPC]
Summary: ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PR00._CPC]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 34
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-23 17:03 UTC by ByteEnable
Modified: 2022-06-25 06:27 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-20 15:17:04 UTC
Type: Bug


Attachments (Terms of Use)
acpidump output (1.66 MB, text/plain)
2021-05-23 17:03 UTC, ByteEnable
no flags Details
dmesg output (99.88 KB, text/plain)
2021-05-23 17:04 UTC, ByteEnable
no flags Details
[PATCH] ACPI: Use _OSC query results to determine caps rather then the commit results (2.46 KB, patch)
2021-06-07 10:06 UTC, Hans de Goede
no flags Details | Diff
[PATCH] ACPI: Only run _OSC without the query flag on machines with native USB4 support (3.65 KB, patch)
2021-06-08 09:45 UTC, Hans de Goede
no flags Details | Diff
[PATCH] ACPI: Pass the same capabilities to the _OSC regardless of the query flag (3.82 KB, patch)
2021-06-08 17:15 UTC, Hans de Goede
no flags Details | Diff

Description ByteEnable 2021-05-23 17:03:07 UTC
Created attachment 1786068 [details]
acpidump output

1. Please describe the problem:
kernel printk's for ACPI Bios Error (bug)

ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PR00._CPC], AE_NOT_FOUND (20210105/psargs-330)
ACPI Error: Aborting method \_SB.PR01._CPC due to previous error (AE_NOT_FOUND) (20210105/psparse-529)

2. What is the Version-Release number of the kernel:

5.12.5-300.fc34.x86_64

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

First time I have seen this error. 5.12.x

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

Yes.

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:


6. Are you running any modules that not shipped with directly Fedora's kernel?:

rpmfusion akmod-nvidia

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 ByteEnable 2021-05-23 17:04:26 UTC
Created attachment 1786069 [details]
dmesg output

Comment 2 Antonio T. sagitter 2021-05-24 17:54:31 UTC
Same errors for me.
https://sagitter.fedorapeople.org/kernel_log_dmesg_rhbz1963717.txt

Comment 3 Hans de Goede 2021-06-03 15:03:11 UTC
This is likely the same issue as which is being tracked here:
https://bugzilla.kernel.org/show_bug.cgi?id=213023

(this is still being investigated)

Comment 4 Takehiko Abe 2021-06-06 12:22:50 UTC
git-bisect points to 719e1f561afbe020ed175825a9bd25ed62ed1697 :
"ACPI: Execute platform _OSC also with query bit clear".

Tested 5.12.9 kernel with the commit reverted, and confirmed that the error messages are gone. (I had to revert
5a6a2c0f0f43676df27632d657a3f18b151a7ef8 for dependency too.)

It also brings back the /sys/devices/system/cpu/cpu0/acpi_cppc which is absent in the stable 5.12.x

Hope this helps

Comment 5 Hans de Goede 2021-06-07 09:45:18 UTC
Takehiko, great work on doing the bisect, that is definitely helpful.

I've email the upstream ACPI maintainer with this info, hopefully he can come up with a fix (or I guess we may just end up reverting the commit).

I'll keep you posted on any progress on this.

Comment 6 Hans de Goede 2021-06-07 10:06:39 UTC
Created attachment 1789190 [details]
[PATCH] ACPI: Use _OSC query results to determine caps rather then the commit results

I've taken a quick look at commit 719e1f561afb ("ACPI: Execute platform _OSC also with query bit clear") and I think I may have found the problem.

Please test a 5.12 kernel with the patch which I've just attached (and without the reverts).

Comment 7 Takehiko Abe 2021-06-08 09:14:38 UTC
(In reply to Hans de Goede from comment #6)
> Please test a 5.12 kernel with the patch which I've just attached (and
> without the reverts).

The patch does not fix the problem.

The error messages do not show up if I remove the second call to acpi_run_osc() from the acpi_bus_osc_negotiate_platform_control().

regards,
T.

Comment 8 Hans de Goede 2021-06-08 09:45:24 UTC
Created attachment 1789347 [details]
[PATCH] ACPI: Only run _OSC without the query flag on machines with native USB4 support

(In reply to Takehiko Abe from comment #7)
> (In reply to Hans de Goede from comment #6)
> > Please test a 5.12 kernel with the patch which I've just attached (and
> > without the reverts).
> 
> The patch does not fix the problem.
> 
> The error messages do not show up if I remove the second call to
> acpi_run_osc() from the acpi_bus_osc_negotiate_platform_control().

Thank you for testing the patch and also a big thank you for figuring out the second _OSC call is the culprit. I've written a new patch which I'm attaching here now, can you please give this a try?

Comment 9 Takehiko Abe 2021-06-08 09:58:07 UTC
(In reply to Hans de Goede from comment #8)

The new patch works. The error messages are gone!

Thank you.

Comment 10 Hans de Goede 2021-06-08 17:15:27 UTC
Created attachment 1789410 [details]
[PATCH] ACPI: Pass the same capabilities to the _OSC regardless of the query flag

Thank you for testing my patch and for confirming that the new version fixes things.

Discussion with the upstream ACPI maintainers has resulted in a different approach / patch which should also fix this. I'm attaching a new patch using this new approach, can you please give this new patch a try ?

Sorry for all the different patches / all the testing requests. This last one should be the final patch, assuming it does indeed fix things.

Comment 11 Takehiko Abe 2021-06-09 00:44:32 UTC
(In reply to Hans de Goede from comment #10)
> Created attachment 1789410 [details]
> [PATCH] ACPI: Pass the same capabilities to the _OSC regardless of the query
> flag
> 

Yes. The patch works. Thank you!

Comment 12 Hans de Goede 2021-06-09 16:09:12 UTC
Thank you for testing, the latest version of the patch has been accepted by Rafael (the ACPI subsystem maintainer) and should show up in a 5.13-rc# release soon, once it hits 5.13-rc# and it should get cherry picked into a 5.12.y stable release soon after that.

Comment 13 ByteEnable 2021-06-20 14:52:40 UTC
I do not see this error anymore as of this kernel:

Linux ByteEnable 5.12.11-300.fc34.x86_64 #1 SMP Wed Jun 16 15:47:58 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux

Comment 14 Hans de Goede 2021-06-20 15:17:04 UTC
(In reply to ByteEnable from comment #13)
> I do not see this error anymore as of this kernel:
> 
> Linux ByteEnable 5.12.11-300.fc34.x86_64 #1 SMP Wed Jun 16 15:47:58 UTC 2021
> x86_64 x86_64 x86_64 GNU/Linux

That is expected, as the fix for this has landed in 5.12.11:
https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/commit/?h=linux-5.12.y&id=135076c45e4561cd388cc21f30ee8bd1076b7de1

So this can be closed now, thank you for letting us know that this is fixed.

Comment 15 Christian 2022-06-23 04:59:13 UTC
(In reply to Hans de Goede from comment #14)
> (In reply to ByteEnable from comment #13)
> > I do not see this error anymore as of this kernel:
> > 
> > Linux ByteEnable 5.12.11-300.fc34.x86_64 #1 SMP Wed Jun 16 15:47:58 UTC 2021
> > x86_64 x86_64 x86_64 GNU/Linux
> 
> That is expected, as the fix for this has landed in 5.12.11:
> https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/commit/
> ?h=linux-5.12.y&id=135076c45e4561cd388cc21f30ee8bd1076b7de1
> 
> So this can be closed now, thank you for letting us know that this is fixed.

The error is back when using Kernel 5.15 
According to Takashi The fix was reverted recently in the upstream commit 2ca8e6285250.
https://bugzilla.kernel.org/show_bug.cgi?id=213023

Comment 16 Mario Limonciello 2022-06-23 13:36:25 UTC
Can you please try to cherry-pick https://github.com/torvalds/linux/commit/c42fa24b44751c62c86e98430ef915c0609a2ab8 into your 5.15.x based kernel?

Comment 17 Takehiko Abe 2022-06-24 00:50:23 UTC
5.18 kernel has the commit c42fa24b44751 but still has the same problem.
I get the same error messages and no CPPC.

Comment 18 Christian 2022-06-25 06:27:35 UTC
(In reply to Mario Limonciello from comment #16)
> Can you please try to cherry-pick
> https://github.com/torvalds/linux/commit/
> c42fa24b44751c62c86e98430ef915c0609a2ab8 into your 5.15.x based kernel?

I am sorry, but I have never compiled the kernel from source before. I am afraid somebody else who with more knowledge has to do this, or you link me some advice how to do it.


Note You need to log in before you can comment on or make changes to this bug.